import { DoCheck, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { AbstractControlDirective, NgControl } from '@angular/forms';
export declare class RlDatePickerInputComponent implements OnInit, DoCheck, OnDestroy, OnChanges {
    protected el: ElementRef;
    protected control: NgControl;
    private defaultOptions;
    OpenBtn: ElementRef;
    ngModel: AbstractControlDirective;
    inputDisabled: boolean;
    buttonDisabled: boolean;
    options: any;
    onClose: EventEmitter<any>;
    opened: boolean;
    dateObject: Date;
    protected $dateObject: any;
    protected docmousedown: any;
    protected subscriber: any;
    constructor(el: ElementRef, control: NgControl);
    ngOnInit(): void;
    ngOnDestroy: () => void;
    ngOnChanges(changes: any): void;
    ngDoCheck(): void;
    /**
     * Get the HTMLElement of this Element
     * @returns {HTMLElement}
     * @constructor
     */
    readonly LayoutElement: HTMLElement;
    /**
     * Get the HTMLElement of the Datepicker
     * @returns {HTMLElement}
     * @constructor
     */
    readonly DatepickerElement: HTMLElement;
    readonly OpenBtnElement: HTMLElement;
    removeEventListener(): void;
    addEventListener(): void;
    open(): void;
    setToToday(): void;
    clearDate(): void;
}
